;+
;
; .. _init_pom.pro:
;
; ============
; init_pom.pro
; ============
;
; Define :
;
; - ++
; - ++
; - ++
;
; Read :file:`${PROJECT_ID}/meshmak.nc`.
;
; :examples:
;
; .. code-block:: idl
;
;    @init_pom
;
; :see also:
;
; SAXO
;
; :ref:`init.pro`
;
; :program:`project_profile.sh`
;
; :uses:
;
; :ref:`common.pro <saxo:common>`
; :func:`report <saxo:report>`
; :func:`isadirectory <saxo:isadirectory>`
;
; :todo:
;
; header
;
; SAXO sans compatibility (common)
;
; réparer le lien sphinx sur common.pro
;
; conflict with project_init.pro and init.pro
; :history:
;
; - fplod 20110426T152454Z cratos.locean-ipsl.upmc.fr (Linux)
;
;   * usage of PROJECT
;
; - fplod 20101129T124507Z aedon.locean-ipsl.upmc.fr (Darwin)
;
;   * use ${POMME_ID} to define iodir
;
; - fplod 20101129T110610Z aedon.locean-ipsl.upmc.fr (Darwin)
;
;   * add ReST minimal header
;
; - marina ?
;
;   * creation
;
;-
;
@common
@cm_project
;
; check environnement
;
iodir = isadirectory(project_id_env)
;
;---------------------------------------------------------
; bornes de la grille
;----------------------------------------------------------
;domaine total
ixminmesh = -1
ixmaxmesh = -1
iyminmesh = -1
iymaxmesh = -1
izminmesh = -1
izmaxmesh = -1
;
; sans la zone de recirculation
;    ixminmesh  = 6
;    ixmaxmesh = 126
;    iyminmesh = 6
;    iymaxmesh  = 146
;    izminmesh = 0
;  izmaxmesh = 67
;
;sans la zone de recirculation ni la zone de rappel
nbord = 12
ixminmesh  = nbord
ixmaxmesh = 193-nbord
iyminmesh = nbord
iymaxmesh  = 262-nbord
izminmesh = 0
izmaxmesh = 67
;
jpt = 1
time = 0
key_stride = [1, 1, 1]
;
;------------------------------------------------------
; lecture de la grille
;------------------------------------------------------
langage = 'perso'
varexp = 'NEW'
varnum = '12'
varunit = ''
ncdf_meshlec, 'meshmask.nc'
;-------------------------------------------------------------
domdef
key_periodique = 0
triangles = -1
;----------------------------------------------------------
; bornes pour la lecture des donnees
;----------------------------------------------------------
;
ixmindta = 0
ixmaxdta = jpidta - 1
iymindta = 0
iymaxdta = jpjdta - 1
izmindta = 0
izmaxdta = jpkdta - 1
